=== debian/changelog ===
kdevelop-custom-buildsystem (1.2.1-0ubuntu1) precise; urgency=low

  * Initial package
    - Disable tests in debian/rules as they require X

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 19 Jan 2012 02:24:10 +0530
