## kdevelop-custom-buildsystem 1.2.2

=== debian/changelog ===
kdevelop-custom-buildsystem (1.2.2-0ubuntu1) quantal; urgency=low

  * Bug fix update to fix FTBFS (compatible with current KDevPlatform - 1.4)
  * Updated debian/copyright

 -- Scott Kitterman <scott@kitterman.com>  Sat, 29 Sep 2012 23:01:08 -0400
