=== debian/control ===
Source: kdevelop-custom-buildsystem
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), cmake, pkg-kde-tools, kdevplatform-dev (>= 1.1.0)
Standards-Version: 3.9.2
Homepage:  http://www.kdevelop.org/

Package: kdevelop-custom-buildsystem
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDevelop plugin to handle arbitrary custom buildsystems
 It supports setting up commands and arguments to build, configure, clean,
 'dist-clean' and install the project, so that KDevelop's actions work as
 expected.
 .
 Additionally it allows to setup include directories (or import-directories) and
 defines for the project on a per-directory basis. This allows the C++ support
 and other language plugins to find file-references without manually adding them
 via the include-assistant.
 .
 This package contains a KDevelop plugin to handle arbitary custom buildsystems
